Skip to navigation

Get all the dedicated IPs for a specific sender

View as Markdown

Retrieves the dedicated IPs associated with a specific sender.

Use this to:

  • Check IP configuration for a sender
  • Verify dedicated IP associations
  • Get IP details for troubleshooting
  • Monitor sender IP configuration

Key information returned:

  • List of associated dedicated IPs
  • IP addresses and domain configurations
  • IP status and settings

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app's client_id/client_secret for a short-lived Bearer token.

Path parameters

senderIdlongRequired
Id of the sender

Response

List of dedicated IPs retrieved successfully
ipslist of objects

Dedicated IP(s) linked to a sender. Returns empty array for standard accounts without dedicated IPs.

Errors

400
Bad Request Error
404
Not Found Error